import { DocumentNode, GraphQLSchema } from "graphql";
export declare class InvalidPublishTopic extends Error {
    constructor(...params: any[]);
}
/**
 *
 * Eventbus Class
 * @class EventBus
 *
 * @param {GraphQLSchema} publishSchema The GraphQL schema of message publisher to validated the published messaged agains
 */
export declare class EventBusValidator {
    private publisherSchema;
    private consumerTopics;
    private validator;
    private publishTopicNames?;
    constructor(props: {
        publisherSchema: GraphQLSchema;
    });
    getDocumentForTopic: (topic: string) => DocumentNode;
    validateConsumerQueries: (queries: DocumentNode) => Promise<string[]>;
    extractData: (args: {
        topic: string;
        data: {};
    }) => Promise<any>;
    publishValidate: (props: {
        topic: string;
        payload: {};
    }) => Promise<void>;
}
