import { DocumentNode, GraphQLSchema } from "graphql";
export declare class Validator {
    schema: GraphQLSchema;
    private allQueries;
    private rootQueryFieldQueries;
    constructor(schema: GraphQLSchema);
    /**
     * When publishing message, validate the data against generated query
     */
    validate: (topic: string, data: {}) => import("graphql").ExecutionResult<{
        [key: string]: any;
    }, {
        [key: string]: any;
    }>;
    /**
     * When consuming data, only extract fields that you need from the payload
     * @param query GraphQL query for the data
     * @param key Name of the event or root query field name
     * @param data the data to resolve the query
     */
    extract: (query: DocumentNode, topic: string, data: {}) => import("graphql").ExecutionResult<{
        [key: string]: any;
    }, {
        [key: string]: any;
    }>;
    /**
     * Sample data for consumer testing purposes
     * Needs the schema to have mock resolvers
     */
    sample: (eventKey: string) => any;
}
